<template>
  <div id="app">
    <router-view v-if='isRouterAlive'/>
  </div>
</template>

<script>

export default {
  name: 'App',
  provide(){
    return{
      reload:this.reload
    }
  },
  data(){
    return{
      isRouterAlive:true,
    }
  },
  mounted(){
  },
  methods:{
    reload(){
      this.isRouterAlive=false;
      this.$nextTick(function () {
        this.isRouterAlive=true;
      })
    },
  }

}
</script>
<style>
  .el-step__head.is-process>.is-text{
    color: #ffffff;
    background: #409EFF;
    border-color: #409EFF;
  }
  .el-step__title.is-process{
    color: #409EFF;
  }
  .navbarBadge .el-badge__content.is-fixed{
    top: 15px;
    right: 18px;
  }
  .bigDialog .el-dialog{
    width: 70%!important;
  }
  .fail input.el-input__inner{
    border: 1px solid #ff0000!important;
  }
  .adopt input.el-input__inner{
    border: 1px solid #46ce7a!important;
  }
  .fail .originBlock  input.el-input__inner,
  .adopt .originBlock  input.el-input__inner{
    border: none!important;
  }
  #customerForm .el-form-item{
    margin-bottom: 30px!important;
  }
</style>
